package com.gic.haoban.manage.web.vo.hm;

import java.io.Serializable;

/**
 * 
 * @ClassName: TabHaobanHmLink
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年07月01日 14:07:23
 * @Modify
 * @CopyRight 
 */
public class HmLinkListVO extends HmLinkStatisticsVO implements Serializable {

    private static final long serialVersionUID = 1967119533845800L;

    private Long linkId;
    private String linkCode;
    /**1通用链接 2专用链接*/
    private Integer linkType;
    private String enterpriseId;
    private String name;
    private String creatorId;
    private String creatorName;
    private java.util.Date createTime;
    private java.util.Date updateTime;
    private String shortCode;
    private String linkUrl ;

    public String getLinkUrl() {
        return linkUrl;
    }

    public void setLinkUrl(String linkUrl) {
        this.linkUrl = linkUrl;
    }

    public Long getLinkId() {
        return linkId;
    }

    public String getLinkCode() {
        return linkCode;
    }

    public Integer getLinkType() {
        return linkType;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public String getName() {
        return name;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public java.util.Date getCreateTime() {
        return createTime;
    }

    public java.util.Date getUpdateTime() {
        return updateTime;
    }

    public String getShortCode() {
        return shortCode;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public void setLinkCode(String linkCode) {
        this.linkCode = linkCode;
    }

    public void setLinkType(Integer linkType) {
        this.linkType = linkType;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public void setCreateTime(java.util.Date createTime) {
        this.createTime = createTime;
    }

    public void setUpdateTime(java.util.Date updateTime) {
        this.updateTime = updateTime;
    }

    public void setShortCode(String shortCode) {
        this.shortCode = shortCode;
    }

}